Bug 1249336 - [abrt] setroubleshoot-server: util.py:291:<module>:ImportError: No module named sepolicy
[abrt] setroubleshoot-server: util.py:291:<module>:ImportError: No module nam...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Lautrbach
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:de17025c8101e3bf2c604418681...
:
Depends On:
Blocks: F23FinalBlocker
  Show dependency treegraph
 
Reported: 2015-08-01 14:21 EDT by Peter
Modified: 2015-08-26 00:33 EDT (History)
6 users (show)

See Also:
Fixed In Version: 3.3.1-0.1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-26 00:33:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (8.60 KB, text/plain)
2015-08-01 14:21 EDT, Peter
no flags Details
File: environ (1.64 KB, text/plain)
2015-08-01 14:21 EDT, Peter
no flags Details

  None (edit)
Description Peter 2015-08-01 14:21:19 EDT
Description of problem:
Crashed after start

Version-Release number of selected component:
setroubleshoot-server-3.2.24-3.fc24

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python -Es /usr/bin/sealert -b
executable:     /usr/bin/sealert
kernel:         4.2.0-0.rc4.git3.1.fc24.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
#1 <module> in /usr/lib64/python2.7/site-packages/setroubleshoot/util.py:291
#2 <module> in /usr/bin/sealert:50
Comment 1 Peter 2015-08-01 14:21:23 EDT
Created attachment 1058361 [details]
File: backtrace
Comment 2 Peter 2015-08-01 14:21:24 EDT
Created attachment 1058362 [details]
File: environ
Comment 3 Christopher Meng 2015-08-11 20:58:55 EDT
Another user experienced a similar problem:

Probably you missed the sepolicy dep?

reporter:       libreport-2.6.2
cmdline:        /usr/bin/python -Es /usr/bin/sealert -b
executable:     /usr/bin/sealert
kernel:         4.2.0-0.rc5.git2.1.fc24.i686
package:        setroubleshoot-server-3.2.24-3.fc24
reason:         util.py:291:<module>:ImportError: No module named sepolicy
runlevel:       N 5
type:           Python
uid:            1000
Comment 4 Adam Williamson 2015-08-18 14:14:13 EDT
setroubleshoot-server needs a dep on policycoreutils-python . It was getting it 'for free' from some other bit of policycoreutils before, but now some bits are moving to policycoreutils-python3 , it won't always be there.

I hit this on a fresh install of Alpha, after installing policycoreutils-python it runs fine.

Nominating as a Final blocker: "All applications that can be launched using the standard graphical mechanism of a release-blocking desktop after a default installation of that desktop must start successfully and withstand a basic functionality test." - https://fedoraproject.org/wiki/Fedora_23_Final_Release_Criteria#Default_application_functionality
Comment 5 Petr Lautrbach 2015-08-19 03:56:47 EDT
I'm working to make an update of setroubleshoot ported to python 3. There are builds in rawhide and f23 already and when I have setroubleshoot-plugins built, I'll make an F23 bodhi update.
Comment 6 Adam Williamson 2015-08-20 13:33:25 EDT
Discussed at 2015-08-20 blocker review meeting: http://meetbot-raw.fedoraproject.org/fedora-blocker-review/2015-08-20/f23-blocker-review.2015-08-20-16.05.log.txt . Accepted as a Final blocker per criterion cited in description.
Comment 7 Fedora Update System 2015-08-22 12:24:53 EDT
setroubleshoot-3.3.1-0.1.fc23, setroubleshoot-plugins-3.3.1-0.1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update setroubleshoot-plugins setroubleshoot'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-13907
Comment 8 Fedora Update System 2015-08-26 00:32:56 EDT
setroubleshoot-3.3.1-0.1.fc23, setroubleshoot-plugins-3.3.1-0.1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.